.woocommerce-notices-wrapper .woocommerce-error.error-notification::before,.woocommerce-notices-wrapper .woocommerce-error.error-notification::after{
  content: none;
}

.woocommerce-notices-wrapper .woocommerce-error.error-notification li{
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.woocommerce-notices-wrapper .woocommerce-error.error-notification li .wc-forward{
color: var(--color-primary);
    padding: 13px 40px;
    text-decoration: none;
    text-transform: uppercase;
    border: none;
    border-radius: 36px;
    cursor: pointer;
    transition: all 0.3s ease;
	background-color: var(--color-neutral-beige-light);
    font-family: var(--typo-title-2-bold-font);
    font-size: var(--typo-title-2-size);
    font-weight: var(--typo-title-2-bold-fw);
    line-height: var(--typo-title-2-bold-lh);
    letter-spacing: var(--typo-title-2-bold-ls);
}

.woocommerce-notices-wrapper .woocommerce-error.error-notification li .wc-forward:hover{
  background-color: var(--color-neutral-beige-medium-light);
}

.woocommerce div.product {
  margin: 0 auto;
  width: 100%;
  display: flex;
  padding: 0 60px 80px;
  justify-content: space-between;
}

.woocommerce div.product .sold-out-badge{
    padding: 6px 16px;
    border-radius: 24px;
    pointer-events: none;
    display: block;
    width: fit-content;
}

.woocommerce div.product div.summary {
  width: 50%;
}

.woocommerce div.product .product_title {
  margin: 0;
  text-transform: uppercase;
}

.woocommerce div.product .woocommerce-product-details__short-description {
  margin-top: 24px;
}

.woocommerce div.product .woocommerce-product-details__short-description ul {
  padding: 0;
  margin: 0;
}

.woocommerce div.product .woocommerce-product-details__short-description a {
  color: var(--color-primary);
}

.woocommerce div.product .stock.in-stock,.woocommerce div.product .stock.out-of-stock{
  display: none;
}

.woocommerce div.product form {
  display: flex;
  flex-direction: column ;
  align-items: flex-start;
}

.woocommerce div.product .single_variation_wrap .woocommerce-variation-availability{
  display: none;
}

.summary.entry-summary .single_variation_wrap .woocommerce-variation-add-to-cart{
    display: flex;
    flex-direction: column;
}

.summary.entry-summary .single_variation_wrap .woocommerce-variation-add-to-cart .single_add_to_cart_button{
    margin-top: 50px;
}

.woocommerce div.product .single_add_to_cart_button{
  background-color: var(--color-primary);
  border-radius: 36px;
  padding: 13px 40px;
  margin-top: 40px;
  text-transform: uppercase;
  transition: all 0.3s ease;
  font-family: var(--typo-title-2-bold-font);
  font-size: var(--typo-title-2-size);
  font-weight: var(--typo-title-2-bold-fw);
  line-height: var(--typo-title-2-bold-lh);
  letter-spacing: var(--typo-title-2-bold-ls);
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt.disabled{
  background-color: var(--color-primary);
}

.woocommerce:where(body:not(.woocommerce-block-theme-has-button-styles)) button.button.alt.disabled:hover{
  background-color: var(--color-secondary);
}

.woocommerce div.product .single_add_to_cart_button.disabled {
  opacity: 0.6;
}

.woocommerce div.product .single_add_to_cart_button:hover {
  background-color: var(--color-secondary);
  color: var(--color-background-white);
}

.woocommerce div.product form.cart .variations{
  margin: 0;
  padding: 20px 0;
}

.woocommerce div.product form.cart .variations th{
  text-align: left;
  padding-top: 11px;
}

.woocommerce div.product form.cart .variations th label{
  font-family: var(--typo-title-1-font);
  font-size: var(--typo-title-1-size);
  font-weight: var(--typo-title-1-fw);
  line-height: var(--typo-title-1-lh);
  letter-spacing: var(--typo-title-1-ls);
}

.woocommerce div.product form.cart .variations .value.woo-variation-items-wrapper .variable-item{
  box-shadow: 0 0 0 1px var(--color-primary);
}

.woocommerce div.product form.cart .variations .value.woo-variation-items-wrapper .variable-item.selected{
  background-color: var(--color-primary);
}

.woocommerce div.product form.cart .variations .value.woo-variation-items-wrapper .variable-item.selected .variable-item-span{
  color: var(--color-background-white);
}

.woocommerce div.product form.cart .variations .value.woo-variation-items-wrapper .variable-item-span{
  font-family: var(--typo-text-small-regular-font);
  font-size: var(--typo-text-small-size-regular);
  font-weight: var(--typo-text-small-regular-fw);
  line-height: var(--typo-text-small-regular-lh);
  letter-spacing: var(--typo-text-small-regular-ls);;
  color: var(--color-text-black);
}

.woocommerce div.product form.cart .variations .reset_variations{
  font-family: var(--typo-text-small-regular-font);
  font-size: var(--typo-text-small-size-regular);
  font-weight: var(--typo-text-small-regular-fw);
  line-height: var(--typo-text-small-regular-lh);
  letter-spacing: var(--typo-text-small-regular-ls);
  color: var(--color-text-black);
}

.woocommerce div.product .woocommerce-variation-price{
  padding: 10px 0 20px;
}

.woocommerce div.product .quantity .qty{
  border: none;
    background: transparent;
    width: 40px;
    text-align: center;
    -moz-appearance: textfield;
    border: none;
    font-family: var(--typo-text-big-regular-font);
  font-size: var(--typo-text-big-size-regular);
  font-weight: var(--typo-text-big-regular-fw);
  line-height: var(--typo-text-big-regular-lh);
  letter-spacing: var(--typo-text-big-regular-ls);
    color: var(--color-text-black);
}

.woocommerce div.product .cuamm-qty-total-row{
  display: flex;
  align-items: center;
  gap: 108px;
}

.woocommerce div.product .cuamm-qty-total-row .cuamm-dynamic-total bdi{
  margin-bottom: 3px;
  display: block;
}

.woocommerce div.product .cuamm-action-buttons-flex{
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 60%;
}

.woocommerce div.product .quantity.cuamm-custom-quantity .custom-qty-label{
  padding-right: 32px;
}

.woocommerce div.product .quantity.cuamm-custom-quantity input[type="number"]::-webkit-outer-spin-button,
.woocommerce div.product .quantity.cuamm-custom-quantity input[type="number"]::-webkit-inner-spin-button{
  -webkit-appearance: none;
  margin: 0;
}

.woocommerce div.product .quantity .minus,.woocommerce div.product .quantity .plus  {
    width: 35px;
    height: 35px;
    background-color: var(--color-primary);
    color: var(--color-background-white);
    border: none;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    transition: background-color 0.2s ease;
}

.woocommerce div.product .woocommerce-product-gallery .flex-viewport {
  border: 2px solid var(--color-beige-chiaro);
  margin-bottom: 16px;
}

.woocommerce div.product div.images .flex-control-thumbs li img {
  opacity: unset;
}

.woocommerce div.product div.images .flex-control-thumbs li {
  border: 2px solid var(--color-beige-chiaro);
}

.woocommerce div.product .product-custom-controls {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top: 2px solid var(--color-primary);
  padding-top: 16px;
  margin-top: 40px;
}

.woocommerce div.product .product-custom-pagination {
  display: flex;
  align-items: center;
  gap: 12px;
}

.woocommerce div.product .custom-nav-item {
  cursor: pointer;
}

.woocommerce div.product .product-custom-navigation {
  display: flex;
  align-items: center;
  gap: 12px;
}

.woocommerce div.product .custom-button-prev,
.woocommerce div.product .custom-button-next {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 30px;
  height: 30px;
  padding: 0;
  background: transparent;
  border: none;
  cursor: pointer;
  transition: all 0.3s ease;
}

.woocommerce div.product .custom-button-prev::before,
.woocommerce div.product .custom-button-next::before {
  content: '';
  display: block;
  width: 24px;
  height: 24px;
  background-image: url('../assets/arrow-right.svg');
  mask-repeat: no-repeat;
  mask-position: center;
  -webkit-mask-position: center;
  transition: transform 0.3s ease, background-color 0.3s ease;
}

.woocommerce div.product .custom-button-prev::before {
  transform: rotate(180deg);
}

.woocommerce div.product .custom-button-prev.disabled,
.woocommerce div.product .custom-button-next.disabled {
  opacity: 0.3;
  cursor: not-allowed;
  pointer-events: none;
}


.woocommerce div.product form.cart .variations label{
  font-weight: inherit;
}

/* Contenitore principale */
.custom-pdp-dropdown {
    width: 100%;
    position: relative;
    margin-bottom: 15px;
}

/* Pulsante Trigger */
.custom-dropdown-trigger {
    border: 2px solid var(--color-primary);
    border-radius: 8px;
    padding: 13px 24px;;
    cursor: pointer;
    display: flex;
    color: var(--color-primary);
    justify-content: space-between;
    align-items: center;

}

/* Lista delle opzioni */
.custom-dropdown-options {
    border: 2px solid var(--color-primary);
    border-radius: 8px;
    padding: 10px;
    margin-top: 5px;
    position: absolute;
    width: 100%;
    box-sizing: border-box;
    z-index: 10;
    background: var(--color-background-white);
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.custom-radio-item input[type="radio"] {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.custom-radio-item .radio-text {
    position: relative;
    padding-left: 30px;
    display: inline-block;
    line-height: 22px;
    cursor: pointer;
}

.custom-radio-item .radio-text::before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 22px;
    height: 22px;
    border: 2px solid var(--color-neutral-beige-medium-dark);
    border-radius: 50%;
    background-color: var(--color-background-white);
    box-sizing: border-box;
    transition: all 0.2s ease;
}

.custom-radio-item input[type="radio"]:checked + .radio-text::before {
    border: 7.5px solid var(--color-primary); 
    background-color: var(--color-background-white);
}

@media screen and (max-width: 768px) {

  .woocommerce div.product {
    flex-direction: column;
    padding: 40px 10px;
  }

  .woocommerce div.product div.images,
  .woocommerce div.product div.summary {
    width: 100%;
  }

  .woocommerce div.product form.cart > div:first-of-type{
    width: 100%;
  }

  .woocommerce div.product .cuamm-qty-total-row {
    flex-direction: column;
    gap: 30px;
    align-items: start;
  }

  .woocommerce div.product .cuamm-action-buttons-flex{
    width: 100%;
  }

  .woocommerce div.product .product-custom-controls {
    margin-top: 14px;
    padding-top: 8px;
  }
}